org.apache.ignite.ml.environment.logging

## Class CustomMLLogger

- java.lang.Object
- - org.apache.ignite.ml.environment.logging.CustomMLLogger

- All Implemented Interfaces:
    MLLogger

      public class CustomMLLogger
      extends Object
      implements MLLogger

  MLLogger implementation based on IgniteLogger.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ignite.ml.environment.logging.MLLogger

      `MLLogger.VerboseLevel`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.ignite.ml.environment.logging.CustomMLLogger.Factory` | `factory(IgniteLogger rootLog)` Returns factory for OnIgniteLogger instantiating.
    `<K,V> IgniteModel<K,V>` | `log(MLLogger.VerboseLevel verboseLevel, IgniteModel<K,V> mdl)` Log model according to toString method.
    `void` | `log(MLLogger.VerboseLevel verboseLevel, String fmtStr, Object... params)` Log line with formatting.
    `Vector` | `log(Vector vector)` Log vector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### factory

          public static org.apache.ignite.ml.environment.logging.CustomMLLogger.Factory factory(IgniteLogger rootLog)

      Returns factory for OnIgniteLogger instantiating.
      Parameters:
        `rootLog` - Root logger.

    - #### log

          public Vector log(Vector vector)

      Log vector.
      Specified by:
        `log` in interface `MLLogger`
      Parameters:
        `vector` - Vector.

    - #### log

          public <K,V> IgniteModel<K,V> log(MLLogger.VerboseLevel verboseLevel,
                                            IgniteModel<K,V> mdl)

      Log model according to toString method.
      Specified by:
        `log` in interface `MLLogger`
      Parameters:
        `verboseLevel` - Verbose level.
        `mdl` - Model.

    - #### log

          public void log(MLLogger.VerboseLevel verboseLevel,
                          String fmtStr,
                          Object... params)

      Log line with formatting.
      Specified by:
        `log` in interface `MLLogger`
      Parameters:
        `verboseLevel` - Verbose level.
        `fmtStr` - Format string.
        `params` - Params.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023